---
lang: en
title: 'API docs: socketio.socketiorejectprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiorejectprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoRejectProvider](./socketio.socketiorejectprovider.md)

## SocketIoRejectProvider class

**Signature:**

```typescript
export declare class SocketIoRejectProvider implements Provider<SocketIoRejectMethod> 
```
**Implements:** [Provider](./context.provider.md)<!-- -->&lt;[SocketIoRejectMethod](./socketio.socketiorejectmethod.md)<!-- -->&gt;

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[action(done, error)](./socketio.socketiorejectprovider.action.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[value()](./socketio.socketiorejectprovider.value.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>


